<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Power Rangers</Series>
  <Number>7</Number>
  <Web>https://www.comixology.com/Power-Rangers-7/digital-comic/941070</Web>
  <Summary>The New Power Rangers and Drakkon are on the run in space, but they must find new allies if they want to defeat the Empyreals.
* But that means trusting someone they're not sure is friend or foe if they are to save the universe.
* And then... there's Drakkon.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB941070], [ASINB093KCX4J3]</Notes>
  <Publisher>BOOM! Studios</Publisher>
  <Genre>Superhero, Action/Adventure</Genre>
  <PageCount>27</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
